Skip to content
Console
Menu

Getting Started

Authentication

KV Store

Mac sign on a key

Computes a MAC of data with a MAC key.

Computes a MAC of data with a MAC key.

  • Path POST https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/keys/key:macSign
  • Scope keys:sign
  • Effect read — nothing is written.
  • Collection keys

#Request

FieldTypeWhat it is
namestringThe key to use. Required.
key_versionstringThe version to use; default the primary version.
databytesThe message, at most 64 KiB. Required.

#Response

FieldTypeWhat it is
macbytesThe MAC.
key_versionstringThe version that computed the MAC.

#Errors

Every error arrives in the body Errors describes.

#Examples

curl -X POST "https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/keys/key:macSign" \
  -H "Authorization: Bearer $SYLPHX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"data":"…"}'